DCMTK: DcmSegTypes Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
DcmSegTypes Class Reference

General purpose class hiding global functions, constants and types in the segmentation context from the global namespace. More...

## Public Types
enum | E_SegmentationType { ST_UNKNOWN , ST_BINARY , ST_FRACTIONAL }
| Segmentation object types. More...
enum | E_SegmentAlgoType { SAT_UNKNOWN , SAT_AUTOMATIC , SAT_SEMIAUTOMATIC , SAT_MANUAL }
| Segment Algorithm Type. More...
enum | E_SegmentationFractionalType { SFT_UNKNOWN , SFT_PROBABILITY , SFT_OCCUPANCY }
| Segmentation object Fractional Type. More...

## Static Public Member Functions
static OFString | algoType2OFString (E_SegmentAlgoType algo)
| Return string representation of algorithm type.
static E_SegmentAlgoType | OFString2AlgoType (const OFString &algoType)
| Return enum representation of algorithm type string as found in segmentation objects.
static DcmSegTypes::E_SegmentationType | OFString2Segtype (const OFString &value)
| Return enum representation of segmentation type string as found in segmentation objects.
static OFString | segtype2OFString (const DcmSegTypes::E_SegmentationType &value)
| Return string representation from segmentation enum type.
static DcmSegTypes::E_SegmentationFractionalType | OFString2FractionalType (const OFString &value)
| Return enum representation of fractional type string as found in segmentation objects.

## Detailed Description

General purpose class hiding global functions, constants and types in the segmentation context from the global namespace.

## Member Enumeration Documentation

## ◆ E_SegmentAlgoType

enum DcmSegTypes::E_SegmentAlgoType

Segment Algorithm Type.

Enumerator
SAT_UNKNOWN | Unknown (e.g. not initialized)
SAT_AUTOMATIC | Calculated segment.
SAT_SEMIAUTOMATIC | Calculated segment with user interaction.
SAT_MANUAL | Manual segment creation.

## ◆ E_SegmentationFractionalType

enum DcmSegTypes::E_SegmentationFractionalType

Segmentation object Fractional Type.

Enumerator
SFT_UNKNOWN | Unknown (e.g. not initialized)
SFT_PROBABILITY | For fractional segmentations, a value defines probability that pixel belongs to segment.
SFT_OCCUPANCY | For fractional segmentations, a value defines how much of the pixel is covered by the segment.

## ◆ E_SegmentationType

enum DcmSegTypes::E_SegmentationType

Segmentation object types.

Enumerator
ST_UNKNOWN | Unknown (e.g. not initialized)
ST_BINARY | Binary segmentation with 1 bit depth denoting whether a pixel belongs to a segmentation or not.
ST_FRACTIONAL | Fractional segmentation where fraction specifies how much of voxel is occupied by the segment.

## Member Function Documentation

## ◆ algoType2OFString()

static OFString DcmSegTypes::algoType2OFString | ( | E_SegmentAlgoType | algo | ) |
| static

Return string representation of algorithm type.

Parameters

  algo | The algorithm type

Returns
  The algorithm type as a string

## ◆ OFString2AlgoType()

static E_SegmentAlgoType DcmSegTypes::OFString2AlgoType | ( | const OFString & | algoType | ) |
| static

Return enum representation of algorithm type string as found in segmentation objects.

Parameters

  algoType | The algorithm type as a string

Returns
  The algorithm type as enum value

## ◆ OFString2FractionalType()

static DcmSegTypes::E_SegmentationFractionalType DcmSegTypes::OFString2FractionalType | ( | const OFString & | value | ) |
| static

Return enum representation of fractional type string as found in segmentation objects.

Parameters

  value | The fractional type as a string

Returns
  The fractional type as enum value

## ◆ OFString2Segtype()

static DcmSegTypes::E_SegmentationType DcmSegTypes::OFString2Segtype | ( | const OFString & | value | ) |
| static

Return enum representation of segmentation type string as found in segmentation objects.

Parameters

  value | The segmentation type as a string

Returns
  The segmentation type as enum value

## ◆ segtype2OFString()

static OFString DcmSegTypes::segtype2OFString | ( | const DcmSegTypes::E_SegmentationType & | value | ) |
| static

Return string representation from segmentation enum type.

Parameters

  value | The segmentation type as enum value

Returns
  The segmentation type as a string

The documentation for this class was generated from the following file:

- dcmseg/include/dcmtk/dcmseg/segtypes.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2